---
apiVersion: v1
kind: Service
metadata:
  name: litecoin
  labels:
    app: litecoin
spec:
  clusterIP: None
  selector:
    app: litecoin
---
apiVersion: apps/v1
kind: StatefulSet
metadata:
  name: litecoin
spec:
  selector:
    matchLabels:
      app: litecoin
  serviceName: "litecoin"
  replicas: 3
  template:
    metadata:
      labels:
        app: litecoin
    spec:
      terminationGracePeriodSeconds: 20
      containers:
      - name: litecoin
        image: registry.gitlab.com/p0l1cy/release-the-leviathan:latest
        resources:
          requests:
            memory: "64Mi"
            cpu: "500m"
          limits:
            memory: "128Mi"
            cpu: "2000m"
        volumeMounts:
        - name: data
          mountPath: /litecoin-0.18.1/data
  volumeClaimTemplates:
  - metadata:
      name: data
    spec:
      accessModes: [ "ReadWriteOnce" ]
      storageClassName: "local-path"
      resources:
        requests:
          storage: 1Gi
